/[gentoo-x86]/app-office/libreoffice/libreoffice-4.0.2.2.ebuild
Gentoo

Contents of /app-office/libreoffice/libreoffice-4.0.2.2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.4 - (show annotations) (download)
Mon Apr 29 13:24:57 2013 UTC (19 months, 3 weeks ago) by ago
Branch: MAIN
Changes since 1.3: +3 -2 lines
Move KEYWORDS on another line to avoid ekeyword failure

(Portage version: 2.1.11.55/cvs/Linux x86_64, signed Manifest commit with key 7194459F)

1 # Copyright 1999-2013 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.0.2.2.ebuild,v 1.3 2013/04/19 10:42:14 scarabeus Exp $
4
5 EAPI=5
6
7 KDE_REQUIRED="optional"
8 QT_MINIMAL="4.7.4"
9 KDE_SCM="git"
10 CMAKE_REQUIRED="never"
11
12 PYTHON_COMPAT=( python2_7 python3_3 )
13 PYTHON_REQ_USE="threads,xml"
14
15 # experimental ; release ; old
16 # Usually the tarballs are moved a lot so this should make
17 # everyone happy.
18 DEV_URI="
19 http://dev-builds.libreoffice.org/pre-releases/src
20 http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
21 http://download.documentfoundation.org/libreoffice/old/${PV}/
22 "
23 EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
24 ADDONS_URI="http://dev-www.libreoffice.org/src/"
25
26 BRANDING="${PN}-branding-gentoo-0.7.tar.xz"
27 # PATCHSET="${P}-patchset-01.tar.xz"
28
29 [[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
30 inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic nsplugins ${SCM_ECLASS}
31 unset SCM_ECLASS
32
33 DESCRIPTION="LibreOffice, a full office productivity suite."
34 HOMEPAGE="http://www.libreoffice.org"
35 SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
36 [[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
37
38 # Help is used for the image generator
39 # We can also build translations and others if needed.
40 # Core must be first
41 MODULES="core help"
42 # Only release has the tarballs
43 if [[ ${PV} != *9999* ]]; then
44 for i in ${DEV_URI}; do
45 for mod in ${MODULES}; do
46 if [[ ${mod} == core ]]; then
47 # core is now packed without it in the name, git reponame stay
48 SRC_URI+=" ${i}/${P}.tar.xz"
49 else
50 SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
51 fi
52 done
53 unset mod
54 done
55 unset i
56 fi
57 unset DEV_URI
58
59 # Really required addons
60 # These are bundles that can't be removed for now due to huge patchsets.
61 # If you want them gone, patches are welcome.
62 ADDONS_SRC+=" ${ADDONS_URI}/ea91f2fb4212a21d708aced277e6e85a-vigra1.4.0.tar.gz"
63 ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
64 ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
65 ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
66 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
67 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )" # requirement of rhino
68 ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
69 SRC_URI+=" ${ADDONS_SRC}"
70
71 unset ADDONS_URI
72 unset EXT_URI
73 unset ADDONS_SRC
74
75 IUSE="bluetooth +branding +cups dbus debug eds gnome gstreamer +gtk
76 gtk3 jemalloc kde mysql odk opengl postgres telepathy test +vba +webdav"
77
78 LO_EXTS="nlpsolver presenter-minimizer scripting-beanshell scripting-javascript wiki-publisher"
79 # Unpackaged separate extensions:
80 # diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
81 # hunart: only on ooo extensions -> fubared download path somewhere on sf
82 # numbertext, typo, validator, watch-window: ^^
83 # oooblogger: no homepage or anything
84 # Extensions that need extra work:
85 # report-builder: missing java packages
86 for lo_xt in ${LO_EXTS}; do
87 IUSE+=" libreoffice_extensions_${lo_xt}"
88 done
89 unset lo_xt
90
91 LICENSE="|| ( LGPL-3 MPL-1.1 )"
92 SLOT="0"
93 [[ ${PV} == *9999* ]] || \
94 KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
95
96 COMMON_DEPEND="
97 ${PYTHON_DEPS}
98 app-arch/zip
99 app-arch/unzip
100 >=app-text/hunspell-1.3.2-r3
101 app-text/mythes
102 >=app-text/libexttextcat-3.2
103 app-text/liblangtag
104 app-text/libmspub
105 app-text/libwpd:0.9[tools]
106 app-text/libwpg:0.2
107 >=app-text/libwps-0.2.2
108 >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
109 >=dev-cpp/clucene-2.3.3.4-r2
110 >=dev-cpp/libcmis-0.3.1:0.3
111 dev-db/unixODBC
112 dev-libs/expat
113 >=dev-libs/hyphen-2.7.1
114 >=dev-libs/icu-4.8.1.1:=
115 =dev-libs/liborcus-0.3*
116 >=dev-libs/nspr-4.8.8
117 >=dev-libs/nss-3.12.9
118 >=dev-lang/perl-5.0
119 >=dev-libs/openssl-1.0.0d
120 >=dev-libs/redland-1.0.14[ssl]
121 media-gfx/graphite2
122 >=media-libs/fontconfig-2.8.0
123 media-libs/freetype:2
124 media-libs/lcms:2
125 >=media-libs/libpng-1.4
126 >=media-libs/libcdr-0.0.5
127 media-libs/libvisio
128 >=net-misc/curl-7.21.4
129 net-nds/openldap
130 sci-mathematics/lpsolve
131 virtual/jpeg
132 >=x11-libs/cairo-1.10.0[X]
133 x11-libs/libXinerama
134 x11-libs/libXrandr
135 x11-libs/libXrender
136 bluetooth? ( net-wireless/bluez )
137 cups? ( net-print/cups )
138 dbus? ( >=dev-libs/dbus-glib-0.92 )
139 eds? ( gnome-extra/evolution-data-server )
140 gnome? ( gnome-base/gconf:2 )
141 gtk? (
142 x11-libs/gdk-pixbuf[X]
143 >=x11-libs/gtk+-2.24:2
144 )
145 gtk3? ( >=x11-libs/gtk+-3.2:3 )
146 gstreamer? (
147 media-libs/gstreamer:1.0
148 media-libs/gst-plugins-base:1.0
149 )
150 jemalloc? ( dev-libs/jemalloc )
151 libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
152 libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
153 libreoffice_extensions_wiki-publisher? (
154 dev-java/commons-codec:0
155 dev-java/commons-httpclient:3
156 dev-java/commons-lang:2.1
157 dev-java/commons-logging:0
158 dev-java/tomcat-servlet-api:3.0
159 )
160 mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
161 opengl? (
162 virtual/glu
163 virtual/opengl
164 )
165 postgres? ( >=dev-db/postgresql-base-9.0[kerberos] )
166 telepathy? (
167 dev-libs/glib:2
168 >=net-libs/telepathy-glib-0.18.0
169 >=x11-libs/gtk+-2.24:2
170 )
171 webdav? ( net-libs/neon )
172 "
173
174 RDEPEND="${COMMON_DEPEND}
175 !app-office/libreoffice-bin
176 !app-office/libreoffice-bin-debug
177 !<app-office/openoffice-bin-3.4.0-r1
178 !app-office/openoffice
179 media-fonts/libertine-ttf
180 media-fonts/liberation-fonts
181 media-fonts/urw-fonts
182 java? ( >=virtual/jre-1.6 )
183 "
184
185 if [[ ${PV} != *9999* ]]; then
186 PDEPEND="~app-office/libreoffice-l10n-${PV}"
187 else
188 # Translations are not reliable on live ebuilds
189 # rather force people to use english only.
190 PDEPEND="!app-office/libreoffice-l10n"
191 fi
192
193 # FIXME: cppunit should be moved to test conditional
194 # after everything upstream is under gbuild
195 # as dmake execute tests right away
196 DEPEND="${COMMON_DEPEND}
197 >=dev-libs/boost-1.46
198 >=dev-libs/libxml2-2.7.8
199 dev-libs/libxslt
200 dev-perl/Archive-Zip
201 dev-util/cppunit
202 >=dev-util/gperf-3
203 dev-util/intltool
204 dev-util/mdds
205 virtual/pkgconfig
206 net-misc/npapi-sdk
207 >=sys-apps/findutils-4.4.2
208 sys-devel/bison
209 sys-apps/coreutils
210 sys-devel/flex
211 sys-devel/gettext
212 >=sys-devel/make-3.82
213 sys-devel/ucpp
214 sys-libs/zlib
215 x11-libs/libXt
216 x11-libs/libXtst
217 x11-proto/randrproto
218 x11-proto/xextproto
219 x11-proto/xineramaproto
220 x11-proto/xproto
221 java? (
222 >=virtual/jdk-1.6
223 >=dev-java/ant-core-1.7
224 )
225 odk? ( app-doc/doxygen )
226 test? ( dev-util/cppunit )
227 "
228
229 PATCHES=(
230 # not upstreamable stuff
231 "${FILESDIR}/${PN}-3.7-system-pyuno.patch"
232 "${FILESDIR}/${PN}-3.7-separate-checks.patch"
233 )
234
235 REQUIRED_USE="
236 bluetooth? ( dbus )
237 gnome? ( gtk )
238 eds? ( gnome )
239 libreoffice_extensions_nlpsolver? ( java )
240 libreoffice_extensions_scripting-beanshell? ( java )
241 libreoffice_extensions_scripting-javascript? ( java )
242 libreoffice_extensions_wiki-publisher? ( java )
243 "
244
245 CHECKREQS_MEMORY="512M"
246 CHECKREQS_DISK_BUILD="6G"
247
248 pkg_pretend() {
249 local pgslot
250
251 if [[ ${MERGE_TYPE} != binary ]]; then
252 check-reqs_pkg_pretend
253
254 if [[ $(gcc-major-version) -lt 4 ]] || \
255 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
256 ; then
257 eerror "Compilation with gcc older than 4.6 is not supported"
258 die "Too old gcc found."
259 fi
260 fi
261
262 # ensure pg version
263 if use postgres; then
264 pgslot=$(postgresql-config show)
265 if [[ ${pgslot//.} < 90 ]] ; then
266 eerror "PostgreSQL slot must be set to 9.0 or higher."
267 eerror " postgresql-config set 9.0"
268 die "PostgreSQL slot is not set to 9.0 or higher."
269 fi
270 fi
271 }
272
273 pkg_setup() {
274 java-pkg-opt-2_pkg_setup
275 kde4-base_pkg_setup
276 python-single-r1_pkg_setup
277
278 [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
279 }
280
281 src_unpack() {
282 local mod mod2 dest tmplfile tmplname mypv
283
284 [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
285 use branding && unpack "${BRANDING}"
286
287 if [[ ${PV} != *9999* ]]; then
288 unpack "${P}.tar.xz"
289 for mod in ${MODULES}; do
290 [[ ${mod} == core ]] && continue
291 unpack "${PN}-${mod}-${PV}.tar.xz"
292 done
293 else
294 for mod in ${MODULES}; do
295 mypv=${PV/.9999}
296 [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
297 EGIT_PROJECT="${PN}/${mod}"
298 EGIT_SOURCEDIR="${WORKDIR}/${P}"
299 [[ ${mod} != core ]] && EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
300 EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
301 EGIT_NOUNPACK="true"
302 git-2_src_unpack
303 if [[ ${mod} != core ]]; then
304 mod2=${mod}
305 # mapping does not match on help
306 [[ ${mod} == help ]] && mod2="helpcontent2"
307 mkdir -p "${S}/${mod2}/" || die
308 mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}/${mod2}" || die
309 rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
310 fi
311 done
312 unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
313 fi
314 }
315
316 src_prepare() {
317 # fixed in master, flags order in bridges compilation
318 filter-flags -fomit-frame-pointer
319
320 # optimization flags
321 export ARCH_FLAGS="${CXXFLAGS}"
322 export LINKFLAGSOPTIMIZE="${LDFLAGS}"
323 export GMAKE_OPTIONS="${MAKEOPTS}"
324 # System python 2.7 enablement:
325 export PYTHON="${PYTHON}"
326 export PYTHON_CFLAGS=$(python_get_CFLAGS)
327 export PYTHON_LIBS=$(python_get_LIBS)
328
329 # patchset
330 if [[ -n ${PATCHSET} ]]; then
331 EPATCH_FORCE="yes" \
332 EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
333 EPATCH_SUFFIX="patch" \
334 epatch
335 fi
336
337 base_src_prepare
338
339 AT_M4DIR="m4"
340 eautoreconf
341 # hack in the autogen.sh
342 touch autogen.lastrun
343
344 # system pyuno mess
345 sed \
346 -e "s:%eprefix%:${EPREFIX}:g" \
347 -e "s:%libdir%:$(get_libdir):g" \
348 -i pyuno/source/module/uno.py \
349 -i scripting/source/pyprov/officehelper.py || die
350
351 if use branding; then
352 # hack...
353 mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
354 fi
355 }
356
357 src_configure() {
358 local java_opts
359 local internal_libs
360 local lo_ext
361 local ext_opts
362 local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
363
364 # recheck that there is some value in jobs
365 [[ -z ${jbs} ]] && jbs="1"
366
367 # sane: just sane.h header that is used for scan in writer, not
368 # linked or anything else, worthless to depend on
369 # vigra: just uses templates from there
370 # it is serious pain in the ass for packaging
371 # should be replaced by boost::gil if someone interested
372 internal_libs+="
373 --without-system-sane
374 --without-system-vigra
375 "
376
377 # libreoffice extensions handling
378 for lo_xt in ${LO_EXTS}; do
379 if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
380 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
381 else
382 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
383 fi
384 done
385
386 if use java; then
387 # hsqldb: system one is too new
388 java_opts="
389 --without-junit
390 --without-system-hsqldb
391 --with-ant-home="${ANT_HOME}"
392 --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
393 --with-java-target-version=$(java-pkg_get-target)
394 --with-jvm-path="${EPREFIX}/usr/$(get_libdir)/"
395 "
396
397 use libreoffice_extensions_scripting-beanshell && \
398 java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
399
400 use libreoffice_extensions_scripting-javascript && \
401 java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
402
403 if use libreoffice_extensions_wiki-publisher; then
404 java_opts+="
405 --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
406 --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
407 --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
408 --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
409 --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
410 "
411 fi
412 fi
413
414 # system headers/libs/...: enforce using system packages
415 # --enable-unix-qstart-libpng: use libpng splashscreen that is faster
416 # --enable-cairo: ensure that cairo is always required
417 # --enable-graphite: disabling causes build breakages
418 # --enable-*-link: link to the library rather than just dlopen on runtime
419 # --enable-release-build: build the libreoffice as release
420 # --disable-fetch-external: prevent dowloading during compile phase
421 # --disable-gnome-vfs: old gnome virtual fs support
422 # --disable-kdeab: kde3 adressbook
423 # --disable-kde: kde3 support
424 # --disable-pch: precompiled headers cause build crashes
425 # --disable-rpath: relative runtime path is not desired
426 # --disable-systray: quickstarter does not actually work at all so do not
427 # promote it
428 # --disable-zenity: disable build icon
429 # --enable-extension-integration: enable any extension integration support
430 # --without-{afms,fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
431 # --disable-ext-report-builder: too much java packages pulled in
432 econf \
433 --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
434 --with-system-headers \
435 --with-system-libs \
436 --with-system-jars \
437 --with-system-dicts \
438 --enable-cairo-canvas \
439 --enable-graphite \
440 --enable-largefile \
441 --enable-mergelibs \
442 --enable-python=system \
443 --enable-randr \
444 --enable-randr-link \
445 --enable-release-build \
446 --enable-unix-qstart-libpng \
447 --enable-hardlink-deliver \
448 --disable-ccache \
449 --disable-crashdump \
450 --disable-dependency-tracking \
451 --disable-epm \
452 --disable-fetch-external \
453 --disable-gnome-vfs \
454 --disable-gstreamer-0-10 \
455 --disable-ext-report-builder \
456 --disable-kdeab \
457 --disable-kde \
458 --disable-online-update \
459 --disable-pch \
460 --disable-rpath \
461 --disable-systray \
462 --disable-zenity \
463 --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
464 --with-build-version="Gentoo official package" \
465 --enable-extension-integration \
466 --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
467 --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
468 --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
469 --with-external-tar="${DISTDIR}" \
470 --with-lang="" \
471 --with-parallelism=${jbs} \
472 --with-system-ucpp \
473 --with-unix-wrapper=libreoffice \
474 --with-vendor="Gentoo Foundation" \
475 --with-x \
476 --without-afms \
477 --without-fonts \
478 --without-myspell-dicts \
479 --without-system-mozilla \
480 --without-help \
481 --with-helppack-integration \
482 --without-sun-templates \
483 $(use_enable bluetooth sdremote-bluetooth) \
484 $(use_enable cups) \
485 $(use_enable debug) \
486 $(use_enable dbus) \
487 $(use_enable eds evolution2) \
488 $(use_enable gnome gconf) \
489 $(use_enable gnome gio) \
490 $(use_enable gnome lockdown) \
491 $(use_enable gtk) \
492 $(use_enable gtk3) \
493 $(use_enable kde kde4) \
494 $(use_enable mysql ext-mysql-connector) \
495 $(use_enable odk) \
496 $(use_enable opengl) \
497 $(use_enable postgres postgresql-sdbc) \
498 $(use_enable telepathy) \
499 $(use_enable test linkoo) \
500 $(use_enable vba) \
501 $(use_enable webdav neon) \
502 $(use_with java) \
503 $(use_with mysql system-mysql-cppconn) \
504 $(use_with odk doxygen) \
505 ${internal_libs} \
506 ${java_opts} \
507 ${ext_opts}
508 }
509
510 src_compile() {
511 # hack for offlinehelp, this needs fixing upstream at some point
512 # it is broken because we send --without-help
513 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
514 (
515 grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
516 source "${T}/config_host.mk" 2&> /dev/null
517
518 local path="${SOLARVER}/${INPATH}/res/img"
519 mkdir -p "${path}" || die
520
521 echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
522 perl "${S}/helpcontent2/helpers/create_ilst.pl" \
523 -dir=icon-themes/galaxy/res/helpimg \
524 > "${path}/helpimg.ilst"
525 [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
526 )
527
528 # this is not a proper make script
529 make build || die
530 }
531
532 src_test() {
533 make unitcheck || die
534 make slowcheck || die
535 }
536
537 src_install() {
538 # This is not Makefile so no buildserver
539 make DESTDIR="${D}" distro-pack-install -o build -o check || die
540
541 # Fix bash completion placement
542 newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
543 rm -rf "${ED}"/etc/
544
545 if use branding; then
546 insinto /usr/$(get_libdir)/${PN}/program
547 newins "${WORKDIR}/branding-sofficerc" sofficerc
548 fi
549
550 # symlink the nsplugin to proper location
551 use gtk && inst_plugin /usr/$(get_libdir)/libreoffice/program/libnpsoplugin.so
552
553 # Hack for offlinehelp, this needs fixing upstream at some point.
554 # It is broken because we send --without-help
555 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
556 insinto /usr/$(get_libdir)/libreoffice/help
557 doins xmlhelp/util/*.xsl
558
559 # Remove desktop files for support to old installs that can't parse mime
560 rm -rf "${ED}"/usr/share/mimelnk/
561 }
562
563 pkg_preinst() {
564 # Cache updates - all handled by kde eclass for all environments
565 kde4-base_pkg_preinst
566 }
567
568 pkg_postinst() {
569 kde4-base_pkg_postinst
570
571 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
572 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
573
574 use java || \
575 ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
576 }
577
578 pkg_postrm() {
579 kde4-base_pkg_postrm
580 }

  ViewVC Help
Powered by ViewVC 1.1.20